class A52dec < Formula
  desc "Library for decoding ATSC A/52 streams (AKA 'AC-3')"
  homepage "https://git.adelielinux.org/community/a52dec/"
  url "https://distfiles.adelielinux.org/source/a52dec/a52dec-0.8.0.tar.gz"
  sha256 "03c181ce9c3fe0d2f5130de18dab9bd8bc63c354071515aa56983c74a9cffcc9"
  license "GPL-2.0-or-later"

  livecheck do
    url "https://distfiles.adelielinux.org/source/a52dec/"
    regex(/href=.*?a52dec[._-]v?(\d+(?:\.\d+)+)\.t/i)
  end

  def install
    # Fixes duplicate symbols errors on arm64
    ENV.append_to_cflags "-std=gnu89" if OS.mac?

    system "./configure", "--disable-silent-rules",
                          "--enable-shared",
                          *std_configure_args
    system "make", "install"
  end

  test do
    touch testpath/"test"
    system bin/"a52dec", "-o", "null", "test"
  end
end
